PCKBC(4)

NAME
pckbc - PC (ISA) keyboard controller driver

SYNOPSIS
pckbc* at isa? flags 0x00 (alpha, amd64, i386, loongson)
pckbc* at ebus? (sparc64)
pckbd* at pckbc?
pms* at pckbc?

DESCRIPTION
The pckbc driver handles resource allocation and device attachment for the traditional PC/AT keyboard controller. It provides two logical connections for child devices, the “keyboard” slot for a keyboard and the “auxiliary” slot for mice (the latter might be missing in older keyboard controllers).

To avoid attaching a phantom PS/2 keyboard device, the pckbc driver will attempt to detect USB legacy keyboard emulation on amd64 and i386 systems. Unfortunately, the detection heuristics may fail on older systems with a real PS/2 keyboard. The keyboard can be forced to attach on these systems, by changing the device flags to 1.

SEE ALSO
ebus(4), intro(4), isa(4), pckbd(4), pms(4), boot_config(8)